How to resolve yum conflict with pango related file?
FedoraForum.org - Fedora Support Forums and Community
Results 1 to 7 of 7
  1. #1
    hsg Guest

    How to resolve yum conflict with pango related file?

    I installed Fedora 9 x86_64 from the .iso DFD disk, then ran "yum upgrade" to get latest files and kernel (as of just now). But when I tried to install the flash plugin, yum fails the transaction test by reporting many conflicts with the packages pango-1.20.1-1.fc9.x86_6 and especially gtk2-2.12.9-5.fc9.x86_64. I was able to "yum erase" the gtk2 package (since there were no dependencies), and this reduced the transaction error to a single line:

    Transaction Check Error:
    file /usr/share/man/man1/pango-querymodules.1.gz from install of pango-1.20.4-1.fc9.i386 conflicts with file from package pango-1.20.1-1.fc9.x86_64

    Can someone explain how to get yum to work around this? It does not seem possible to erase pango and then type "yum install flash-plugin" since many (over four hundred) other packages depend on pango.

    Also, I seem to have two versions of pango installed:

    [root@localhost hsg]# yum list pango
    Loaded plugins: priorities, refresh-packagekit
    Reducing Fedora 9 - i386 - Updates to included packages only
    Finished
    Excluding Packages from ATrpms - x86_64 - Stable
    Finished
    Reducing Fedora 9 - i386 to included packages only
    Finished
    1702 packages excluded due to repository priority protections
    Installed Packages
    pango.x86_64 1.20.1-1.fc9 installed
    pango.x86_64 1.20.4-1.fc9 installed
    Available Packages
    pango.i386 1.20.4-1.fc9 updates
    pango.x86_64 1.20.4-1.fc9 updates

    not sure how that happened or how to handle the duplication.

  2. #2
    Seve's Avatar
    Seve is offline Retired Community Manager
    Join Date
    Oct 2004
    Location
    The GTA, Ontario, Canada
    Age
    60
    Posts
    12,371
    Hello:
    Can you post the output of copying and pasting the following in a terminal.

    yum remove pango.x86_64 1.20.4-1.fc9

    Dont's answer Yes at this point, just post the output.

    Seve
    Registered Linux User: #384977
    .................................................. ............
    See the Links below for more Help and those much wanted extras ... :)


  3. #3
    hsg Guest

    Solved my own posting

    My difficulties were being caused by the duplicate pango packages. Once I used rpm (not yum!) to delete the earlier package "pango.i386 1.20.4-1.fc9", I was able to proceed with various installs and got flash and other programs working with the x86_64 distribution of F9.

    The real problem I think was my following the recommendation of the Unofficial Fedora FAQ to install a custom yum profile, http://www.fedorafaq.org/f9/yum. I think this causes yum to install multiple versions of some packages, the repositories are not all consistent with one another.

    I found that I could get rid of all the conflicts by typing "rpm -qa | grep foo" to list the duplicate packages, then using "rpm -e foo.old.package" to delete the older version, then use yum to try installing the software again.

  4. #4
    Join Date
    Feb 2007
    Location
    China
    Posts
    161

    Re: How to resolve yum conflict with pango related file?

    Just meet with the same problems in F24!

    And have solved them with the rpm method mentioned in posts here.

    Why do we have these conflicts?
    Home: Pentium III. 768M. GeForce GT 730. 120G(3 HDDs)
    Office: Lenovo Xiaoxin 700-15ISK
    Fedora 28

  5. #5
    Join Date
    Mar 2015
    Location
    Europe
    Posts
    73

    Re: How to resolve yum conflict with pango related file?

    In #0, this could user mistake. If he had updated pango to the most recent version this issue might not have happened. If you run into these issues again, try updating all your packages first.

    If the conflict is still present or preventing you from upgrading a package, one of the packages is broken. Two packages must not provide the same file unless they are marked as "conflicts" in the SPEC file.
    Any time you run into this transaction conflict, you should report a bug against one of these packages.

    Why do we have these conflicts?
    Because
    a) users don't keep their packages updated and packages change
    b) mistakes by the package maintainer

  6. #6
    Join Date
    Oct 2011
    Posts
    1,863

    Re: How to resolve yum conflict with pango related file?

    Installed Packages
    pango.x86_64 1.20.1-1.fc9 installed
    pango.x86_64 1.20.4-1.fc9 installed
    This could happen if package manager did not finish cleaning up after an upgrade due to a crash, power loss or something else. To list duplicated packages:

    Code:
    $ sudo dnf repoquery --duplicated
    Official method of repairing dupes found in man page: http://forums.fedoraforum.org/showpo...8&postcount=21
    Last edited by srakitnican; 6th October 2016 at 02:03 PM. Reason: Link added

  7. #7
    Join Date
    Feb 2007
    Location
    China
    Posts
    161

    Re: How to resolve yum conflict with pango related file?

    Thanks to both @BkkLQ and @semiRocket !

    I recall that my system has had at least one crash during updating. I will find the possible duplicated packages and solve all of them.

    Thank you again!
    Home: Pentium III. 768M. GeForce GT 730. 120G(3 HDDs)
    Office: Lenovo Xiaoxin 700-15ISK
    Fedora 28

Similar Threads

  1. Local file conflict between packages
    By panathcypan in forum Using Fedora
    Replies: 11
    Last Post: 31st July 2009, 04:17 PM
  2. yum update ERROR (file conflict)
    By sara200t in forum Using Fedora
    Replies: 2
    Last Post: 18th September 2008, 05:57 AM

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •